For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Inboxes
      • GETGet Inbox
      • POSTCreate Inbox
      • PATCHUpdate Inbox
      • DELDelete Inbox
LogoLogo
contact@agentmail.ccDiscord
API ReferenceInboxes

Get Inbox

GET
/v0/inboxes/:inbox_id
GET
/v0/inboxes/:inbox_id
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.inboxes.get(
8 inbox_id="inbox_id",
9)
1{
2 "pod_id": "pod_id",
3 "inbox_id": "inbox_id",
4 "email": "email",
5 "updated_at": "2024-01-15T09:30:00Z",
6 "created_at": "2024-01-15T09:30:00Z",
7 "display_name": "display_name",
8 "client_id": "client_id"
9}
**CLI:** ```bash agentmail inboxes get --inbox-id <inbox_id> ```
Was this page helpful?
Previous

Create Inbox

Next
Built with

CLI:

$agentmail inboxes get --inbox-id <inbox_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.

Response

This endpoint returns an object.
pod_idstring
ID of pod.
inbox_idstring
The ID of the inbox.
emailstring
Email address of the inbox.
updated_atdatetime
Time at which inbox was last updated.
created_atdatetime
Time at which inbox was created.
display_namestring

Display name: Display Name <username@domain.com>.

client_idstring
Client ID of inbox.

Errors

404
Not Found Error